For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Order Without CompanyID
              • GETGet Company Orders
              • POSTCreate An Order
              • PUTUpdate Company Order With BC OrderId
              • POSTUpdate BC Order's 'Company attribute'
              • PUTUpdate B2BE User's Orders' company attribute.
              • GETGet Orders Images
              • GETGet Company By BC OrderId
              • GETGet Company Id By Order Id
              • GETGet Order Detail
              • GETGet Order Product
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIOrder

Create An Order

Deprecated
POST
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/user/:customerId/orders
POST
/api/v2/io/companies/:companyId/user/:customerId/orders
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/user/customerId/orders \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "orderId": "BC123456789",
> "totalIncTax": 259.99
>}'
1{
2 "code": 200,
3 "data": {
4 "orderId": "BC123456789"
5 },
6 "message": "Success"
7}
Create an order from bigCommerce, you must known order id
Was this page helpful?
Previous

Get Company Orders

Next

Update Company Order With BC OrderId

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired
customerIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Request

Request body
orderIdstringRequired
BigCommerce order id
totalIncTaxdoubleRequired
Total incTax
poNumberstringOptional
PoNumber

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

400
Bad Request Error
404
Not Found Error